For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usDashboard
  • Get Started
    • Why Syndicate
    • Quickstart
  • Infrastructure
    • L2 / L3 Chains
    • Smart RPC
    • Mirrors
  • Guides
    • Send and Monitor Transactions
    • IP Allowlisting
    • Mirrors
  • API
      • GETGet Transaction Request by ID
      • GETGet Transaction Requests By Project
      • GETGet Transactions Attempts by Project
      • POSTSend Transaction
      • POSTCall View Function
LogoLogo
Contact usDashboard
APITransactions

Send Transaction

POST
https://api.syndicate.io/transact/sendTransaction
POST
/transact/sendTransaction
$curl -X POST https://api.syndicate.io/transact/sendTransaction \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "projectId": "638d1d78-d63d-4cda-9f1e-4d0799acfeee",
> "contractAddress": "0x94f6E9c420Db1566A3c035Df291F206eBfAfC762",
> "chainId": 80001,
> "functionSignature": "addPerson((string name, uint16 age) person))",
> "requestId": "083be671-9f3f-41c0-9377-8c33aab3b413",
> "args": {
> "person": {
> "name": "Person",
> "age": 55
> }
> }
>}'
1{
2 "transactionId": "561b77ed-6e35-4248-87ef-c6af93f3bad9"
3}
Send transaction to blockchain
Was this page helpful?
Previous

Call View Function

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
projectIdUUIDRequired
ID of the project you want this request to be sent from
contractAddressstringRequired
The contract address to send request to
chainIdlongRequired

The chain ID for the network (e.g. 1 for Ethereum Mainnet, 137 for Polygon Mainnet, 80001 for Polygon Mumbai). For a complete list of chain IDs, see ChainList.

functionSignaturestringRequired
The human readable signature to call on the contract
requestIdUUIDOptional

(Optional) ID of the request. Needs to be a valid UUID. If provided, it will be saved and returned as the transactionId of the response. If not provided, we will generate one for you and return it as the transactionId.

argsmap from strings to anyOptional

(Optional) The function arguments for the transaction if any. The keys are the argument names or index from the provided function signature and the values are the argument values.

Response

This endpoint returns an object.
transactionIdUUID

Errors

400
Bad Request Error
409
Duplicate Transaction Error
422
Invalid Request ID Error
500
Internal Error